AUTOCONF(1)

NAME
autoscan - help to create a configure.ac file for a software package

SYNOPSIS
autoscan [ --help | -h ] [ --version | -V ] [ --verbose | -v ] [ --autoconf-dir=dir | -A dir ]

DESCRIPTION
The autoscan program can help you create a configure.ac file for a software package. autoscan examines source files in the directory tree rooted at a directory given as a command line argument, or the current directory if none is given. It searches the source files for common portability problems and creates a file configure.scan which is a preliminary configure.ac for that package.

You should manually examine configure.scan before renaming it to configure.ac; it will probably need some adjustments. Occasionally autoscan outputs a macro in the wrong order relative to another macro, so that autoconf produces a warning; you need to move such macros manually. Also, if you want the package to use a configuration header file, you must add a call to AC_CONFIG_HEADER. You might also have to change or add some #if directives to your program in order to make it work with Autoconf (see ifnames(1)), for information about a program that can help with that job).

autoscan uses several data files, which are installed along with the distributed Autoconf macro files, to determine which macros to output when it finds particular symbols in a package's source files. These files all have the same format. Each line consists of a symbol, whitespace, and the Autoconf macro to output if that symbol is encountered. Lines starting with # are comments.

autoscan requires that a Perl interpreter is installed.

autoscan accepts the following options:

--help

-h  Print a summary of the command line options and exit.

--version

-V  Print the version number of Autoconf and exit.

--verbose

-v  Report processing steps.

--autoconf-dir=dir

-A dir
    Look for the installed macro files in directory dir. You can also set the AC_MACRODIR environment variable to a directory; this option overrides the environment variable.

SEE ALSO
autoconf(1), autoheader(1), autoreconf(1), autoupdate(1), ifnames(1)

AUTHORS
David MacKenzie, with help from Franc,ois Pinard, Karl Berry, Richard Pixley, Ian Lance Taylor, Roland McGrath, Noah Friedman, David D. Zuhn, and many others. This manpage written by Ben Pfaff <pfaffben@debian.org> for the Debian GNU/Linux autoconf package.